openapi: 3.0.0
info:
  title: phpipam
  description: Open-source IP address management
  contact:
    email: apiteam@swagger.io
  version: '1.0.0'
servers:
- url: https://your.host.name.io/api
  variables: {}
- url: http://your.host.name.io/api
  variables: {}
paths:
  /sections:
    get:
      tags:
      - sections
      summary: getSections
      description: Returns all sections
      operationId: getSections
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - sections
      summary: createSection
      description: Creates new section
      operationId: createSection
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - sections
      summary: updateSection
      description: Updates section
      operationId: updateSection
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /sections/{id}:
    get:
      tags:
      - sections
      summary: getSection
      description: Returns specific section
      operationId: getSection
      parameters:
      - name: id
        in: path
        description: Section identifier, identifies which section to work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - sections
      summary: deleteSection
      description: Deletes section with all belonging subnets and addresses
      operationId: deleteSection
      parameters:
      - name: id
        in: path
        description: Section identifier, identifies which section to work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /sections/{id}/subnets:
    get:
      tags:
      - sections
      summary: getSectionSubnets
      description: Returns all subnets in section
      operationId: getSectionSubnets
      parameters:
      - name: id
        in: path
        description: Section identifier, identifies which section to work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /sections/{name}:
    get:
      tags:
      - sections
      summary: getSectionByName
      description: Returns specific section by name
      operationId: getSectionByName
      parameters:
      - name: name
        in: path
        description: Section name, unique value
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /sections/custom_fields:
    get:
      tags:
      - sections
      summary: getSectionsCustomFields
      description: Returns custom section fields
      operationId: getSectionsCustomFields
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}:
    get:
      tags:
      - subnets
      summary: getSubnet
      description: Returns specific subnet by id
      operationId: getSubnet
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - subnets
      summary: deleteSubnet
      description: Deletes Subnet
      operationId: deleteSubnet
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/usage:
    get:
      tags:
      - subnets
      summary: getSubnetUsage
      description: Returns subnet usage
      operationId: getSubnetUsage
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/first_free:
    get:
      tags:
      - subnets
      summary: getSubnetFirstFree
      description: Returns first available IP address in subnet
      operationId: getSubnetFirstFree
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/slaves:
    get:
      tags:
      - subnets
      summary: getSubnetSlaves
      description: Returns all immediate slave subnets
      operationId: getSubnetSlaves
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/slaves_recursive:
    get:
      tags:
      - subnets
      summary: getSubnetSlavesRecursive
      description: Returns all slave subnets recursive
      operationId: getSubnetSlavesRecursive
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/addresses:
    get:
      tags:
      - subnets
      summary: getSubnetAddresses
      description: Returns all addresses in subnet
      operationId: getSubnetAddresses
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/addresses/{ip}:
    get:
      tags:
      - subnets
      summary: getSubnetIPAddress
      description: Returns IP address from subnet
      operationId: getSubnetIPAddress
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      - name: ip
        in: path
        description: IP address of subnet in dotted format (e.g. 10.10.10.0)
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/first_subnet/{mask}:
    get:
      tags:
      - subnets
      summary: getSubnetFirstAvailable
      description: Returns first available subnet within selected for mask
      operationId: getSubnetFirstAvailable
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      - name: mask
        in: path
        description: Subnet bitmask
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - subnets
      summary: createSubnetInsideSubnet
      description: Creates new child subnet inside subnet with specified mask
      operationId: createSubnetInsideSubnet
      parameters:
      - name: id
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: mask
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/all_subnets/{mask}:
    get:
      tags:
      - subnets
      summary: getSubnetAllAvailable
      description: Returns all available subnets within selected for mask
      operationId: getSubnetAllAvailable
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on
        required: true
        style: simple
        schema:
          type: string
      - name: mask
        in: path
        description: Subnet bitmask
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/custom_fields:
    get:
      tags:
      - subnets
      summary: getSubnetCustomFields
      description: Returns all subnet custom fields
      operationId: getSubnetCustomFields
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/cidr/{subnet}:
    get:
      tags:
      - subnets
      summary: getSubnetCIDR
      description: Searches for subnet in CIDR format
      operationId: getSubnetCIDR
      parameters:
      - name: subnet
        in: path
        description: IP address of subnet in dotted format (e.g. 10.10.10.0)
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/search/{subnet}:
    get:
      tags:
      - subnets
      summary: getSubnetCIDRSearch
      description: Searches for subnet in CIDR format
      operationId: getSubnetCIDRSearch
      parameters:
      - name: subnet
        in: path
        description: IP address of subnet in dotted format (e.g. 10.10.10.0)
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets:
    post:
      tags:
      - subnets
      summary: createSubnet
      description: Creates new subnet
      operationId: createSubnet
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - subnets
      summary: updateSubnet
      description: Updates Subnet
      operationId: updateSubnet
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/resize:
    patch:
      tags:
      - subnets
      summary: updateSubnetMaskSize
      description: Resizes subnet to new mask
      operationId: updateSubnetMaskSize
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/split:
    patch:
      tags:
      - subnets
      summary: updateSubnetSplit
      description: Splits subnet to smaller subnets
      operationId: updateSubnetSplit
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/permissions:
    patch:
      tags:
      - subnets
      summary: udpateSubnetPermissions
      description: Sets subnet permissions (?grouname1=ro&groupname2=3&43=1)
      operationId: udpateSubnetPermissions
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - subnets
      summary: deleteSubnetPermissions
      description: Removes all permissions
      operationId: deleteSubnetPermissions
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /subnets/{id}/truncate:
    delete:
      tags:
      - subnets
      summary: deleteSubnetAddresses
      description: Removes all addresses from subnet
      operationId: deleteSubnetAddresses
      parameters:
      - name: id
        in: path
        description: Subnet identifier, identifies which subnetto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /devices:
    get:
      tags:
      - devices
      summary: getDevices
      description: Returns all devices
      operationId: getDevices
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - devices
      summary: createDevice
      description: Creates new device
      operationId: createDevice
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - devices
      summary: updateDevice
      description: Updates device
      operationId: updateDevice
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /devices/{id}:
    get:
      tags:
      - devices
      summary: getDevice
      description: Returns specific device
      operationId: getDevice
      parameters:
      - name: id
        in: path
        description: Device identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - devices
      summary: deleteDevice
      description: Deletes device
      operationId: deleteDevice
      parameters:
      - name: id
        in: path
        description: Device identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /devices/{id}/subnets:
    get:
      tags:
      - devices
      summary: getDeviceSubnets
      description: Returns all subnets within device
      operationId: getDeviceSubnets
      parameters:
      - name: id
        in: path
        description: Device identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /devices/{id}/addresses:
    get:
      tags:
      - devices
      summary: getDeviceAddresses
      description: Returns all addresses within device
      operationId: getDeviceAddresses
      parameters:
      - name: id
        in: path
        description: Device identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /devices/search/{search_string}:
    get:
      tags:
      - devices
      summary: getDevicesBySearchString
      description: Searches for devices with {search_string} in any belonging field
      operationId: getDevicesBySearchString
      parameters:
      - name: search_string
        in: path
        description: search string
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/{id}:
    get:
      tags:
      - addresses
      summary: getAddress
      description: Returns specific address
      operationId: getAddress
      parameters:
      - name: id
        in: path
        description: address identifier, identifies which addressto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - addresses
      summary: updateAddress
      description: Updates address
      operationId: updateAddress
      parameters:
      - name: id
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - addresses
      summary: deleteAddress
      description: Deletes address - use 'remove_dns=1' parameter to remove all related DNS records
      operationId: deleteAddress
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/{id}/ping:
    get:
      tags:
      - addresses
      summary: getAddressStatus
      description: Checks address status
      operationId: getAddressStatus
      parameters:
      - name: id
        in: path
        description: address identifier, identifies which addressto work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/{ip}/{subnetId}:
    get:
      tags:
      - addresses
      summary: getAddressFromSubnet
      description: Returns address from subnet by ip address
      operationId: getAddressFromSubnet
      parameters:
      - name: ip
        in: path
        description: IP address
        required: true
        style: simple
        schema:
          type: string
      - name: subnetId
        in: path
        description: Id of subnet address belongs to
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - addresses
      summary: deleteAddressInSubnet
      description: Deletes address by IP in specific subnet
      operationId: deleteAddressInSubnet
      parameters:
      - name: ip
        in: path
        description: IP address
        required: true
        style: simple
        schema:
          type: string
      - name: subnetId
        in: path
        description: Id of subnet address belongs to
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/search/{ip}:
    get:
      tags:
      - addresses
      summary: getAddressByIP
      description: searches for addresses in database, returns multiple if found
      operationId: getAddressByIP
      parameters:
      - name: ip
        in: path
        description: IP address
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/search_hostname/{hostname}:
    get:
      tags:
      - addresses
      summary: getAddressByHostname
      description: searches for addresses in database by hostname, returns multiple if found
      operationId: getAddressByHostname
      parameters:
      - name: hostname
        in: path
        description: Address hostname
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/first_free/{subnetId}:
    get:
      tags:
      - addresses
      summary: getAddressFirstFree
      description: Returns first available address
      operationId: getAddressFirstFree
      parameters:
      - name: subnetId
        in: path
        description: Id of subnet address belongs to
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - addresses
      summary: createAddressFirstAvailable
      description: Creates new address in subnets – first available
      operationId: createAddressFirstAvailable
      parameters:
      - name: subnetId
        in: path
        description: Id of subnet address belongs to
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/custom_fields:
    get:
      tags:
      - addresses
      summary: getAddressCustomFields
      description: Returns custom fields
      operationId: getAddressCustomFields
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/tags:
    get:
      tags:
      - addresses
      summary: getAddressTags
      description: Returns all tags
      operationId: getAddressTags
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/tags/{id}:
    get:
      tags:
      - addresses
      summary: getSpecificTag
      description: Returns specific tag
      operationId: getSpecificTag
      parameters:
      - name: id
        in: path
        description: id of tag
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses/tags/{id}/addresses:
    get:
      tags:
      - addresses
      summary: getAddressesByTag
      description: Returns addresses for specific tag
      operationId: getAddressesByTag
      parameters:
      - name: id
        in: path
        description: id of tag
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /addresses:
    post:
      tags:
      - addresses
      summary: createAddress
      description: Creates new address
      operationId: createAddress
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vlan:
    get:
      tags:
      - vlans
      summary: getVlans
      description: Returns all Vlans
      operationId: getVlans
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - vlans
      summary: createVlan
      description: Creates new VLAN
      operationId: createVlan
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - vlans
      summary: updateVlan
      description: Updates VLAN
      operationId: updateVlan
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vlan/{id}:
    get:
      tags:
      - vlans
      summary: getVlan
      description: Returns specific vlan
      operationId: getVlan
      parameters:
      - name: id
        in: path
        description: Vlan identifier, identifies which vlan to work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - vlans
      summary: deleteVlan
      description: Deletes VLAN
      operationId: deleteVlan
      parameters:
      - name: id
        in: path
        description: Vlan identifier, identifies which vlan to work on.
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: object
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vlan/{id}/subnets:
    get:
      tags:
      - vlans
      summary: getVlanSubnets
      description: Returns all subnets attached to vlan
      operationId: getVlanSubnets
      parameters:
      - name: id
        in: path
        description: Vlan identifier, identifies which vlan to work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vlan/{id}/subnets/{sectionId}:
    get:
      tags:
      - vlans
      summary: getVlanSubnetsBySection
      description: Returns all subnets attached to vlan in specific section
      operationId: getVlanSubnetsBySection
      parameters:
      - name: id
        in: path
        description: Vlan identifier, identifies which vlan to work on.
        required: true
        style: simple
        schema:
          type: string
      - name: sectionId
        in: path
        description: Section identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vlan/{id}/custom_fields:
    get:
      tags:
      - vlans
      summary: getVlanCustomFields
      description: Returns custom VLAN fields
      operationId: getVlanCustomFields
      parameters:
      - name: id
        in: path
        description: Vlan identifier, identifies which vlan to work on.
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vlan/{id}/search/{number}:
    get:
      tags:
      - vlans
      summary: getVlanByNumber
      description: Searches for VLAN
      operationId: getVlanByNumber
      parameters:
      - name: id
        in: path
        description: Vlan identifier, identifies which vlan to work on.
        required: true
        style: simple
        schema:
          type: string
      - name: number
        in: path
        description: Vlan number
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /l2domains:
    get:
      tags:
      - l2domains
      summary: getL2Domains
      description: Returns all L2 domains
      operationId: getL2Domains
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - l2domains
      summary: createL2Domain
      description: Creates new L2 domain
      operationId: createL2Domain
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - l2domains
      summary: updateL2Domain
      description: Updates L2 domain
      operationId: updateL2Domain
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /l2domains/{id}:
    get:
      tags:
      - l2domains
      summary: getL2Domain
      description: Returns specific L2 domain
      operationId: getL2Domain
      parameters:
      - name: id
        in: path
        description: L2 domain identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /l2domains/{id}/vlans:
    get:
      tags:
      - l2domains
      summary: getL2DomainVlans
      description: Returns all VLANs within L2 domain
      operationId: getL2DomainVlans
      parameters:
      - name: id
        in: path
        description: L2 domain identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /l2domains/custom_fields:
    get:
      tags:
      - l2domains
      summary: getL2DomainCustomFields
      description: Returns all custom fields
      operationId: getL2DomainCustomFields
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /l2domains{id}:
    delete:
      tags:
      - l2domains
      summary: deleteL2Domain
      description: Deletes L2 domain
      operationId: deleteL2Domain
      parameters:
      - name: id
        in: path
        description: L2 domain identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vrf:
    get:
      tags:
      - vrfs
      summary: getVRFs
      description: Returns all VRFs
      operationId: getVRFs
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - vrfs
      summary: createVRF
      description: Creates new VRF
      operationId: createVRF
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - vrfs
      summary: updateVRF
      description: Updates VRF
      operationId: updateVRF
      parameters: []
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vrf/{id}:
    get:
      tags:
      - vrfs
      summary: getVRF
      description: Returns specific VRF
      operationId: getVRF
      parameters:
      - name: id
        in: path
        description: VRF identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - vrfs
      summary: deleteVRF
      description: Deletes VRF
      operationId: deleteVRF
      parameters:
      - name: id
        in: path
        description: VRF identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vrf/{id}/subnets:
    get:
      tags:
      - vrfs
      summary: getVRFSubnets
      description: Returns all subnets within VRF
      operationId: getVRFSubnets
      parameters:
      - name: id
        in: path
        description: VRF identifier
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /vrf/custom_fields:
    get:
      tags:
      - vrfs
      summary: getVRFCustomFields
      description: Returns all custom fields
      operationId: getVRFCustomFields
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/{subcontroller}:
    get:
      tags:
      - tools
      summary: toolsGetSubcontrollers
      description: Returns all subcontroller objects
      operationId: toolsGetSubcontrollers
      parameters:
      - name: subcontroller
        in: path
        description: subcontroller (tags, devices, device_types, vlans, vrfs, nameservers, scanagents, locations, nat, racks)
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - tools
      summary: toolsCreateSubcontrollerObject
      description: Creates new subcontroller object
      operationId: toolsCreateSubcontrollerObject
      parameters:
      - name: subcontroller
        in: path
        description: subcontroller (tags, devices, device_types, vlans, vrfs, nameservers, scanagents, locations, nat, racks)
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: object
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/{subcontroller}/{identifier}:
    get:
      tags:
      - tools
      summary: toolsGetSubcontroller
      description: Returns specific subcontroller object
      operationId: toolsGetSubcontroller
      parameters:
      - name: subcontroller
        in: path
        description: subcontroller (tags, devices, device_types, vlans, vrfs, nameservers, scanagents, locations, nat, racks)
        required: true
        style: simple
        schema:
          type: string
      - name: identifier
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - tools
      summary: toolsUpdateSubcontrollerObject
      description: Updates subcontroller object
      operationId: toolsUpdateSubcontrollerObject
      parameters:
      - name: subcontroller
        in: path
        description: subcontroller (tags, devices, device_types, vlans, vrfs, nameservers, scanagents, locations, nat, racks)
        required: true
        style: simple
        schema:
          type: string
      - name: identifier
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - tools
      summary: toolsDeleteSubcontrollerObject
      description: Deletes subcontroller object
      operationId: toolsDeleteSubcontrollerObject
      parameters:
      - name: subcontroller
        in: path
        description: subcontroller (tags, devices, device_types, vlans, vrfs, nameservers, scanagents, locations, nat, racks)
        required: true
        style: simple
        schema:
          type: string
      - name: identifier
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/device_types/{id}:
    get:
      tags:
      - tools
      summary: toolsGetDeviceTypeDetails
      description: Returns device type details
      operationId: toolsGetDeviceTypeDetails
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/device_types/{id}/devices:
    get:
      tags:
      - tools
      summary: toolsGetDevicesByDeviceType
      description: Returns all devices with devicetype
      operationId: toolsGetDevicesByDeviceType
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/vlans/{id}/subnets:
    get:
      tags:
      - tools
      summary: toolsGetSubnetsByVLAN
      description: Returns all subnets that belong to VLAN
      operationId: toolsGetSubnetsByVLAN
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/vrfs/{id}/subnets:
    get:
      tags:
      - tools
      summary: toolsGetSubnetsByVRF
      description: Returns all subnets that belong to VRF
      operationId: toolsGetSubnetsByVRF
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/locations/{id}/subnets:
    get:
      tags:
      - tools
      summary: toolsGetSubnetsByLocation
      description: Returns all subnets that belong to Location
      operationId: toolsGetSubnetsByLocation
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/locations/{id}/devices:
    get:
      tags:
      - tools
      summary: toolsGetDevicesByLocation
      description: Returns all devices that belong to Location
      operationId: toolsGetDevicesByLocation
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/locations/{id}/racks:
    get:
      tags:
      - tools
      summary: toolsGetRacksByLocation
      description: Returns all racks that belong to Location
      operationId: toolsGetRacksByLocation
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/racks/{id}/devices:
    get:
      tags:
      - tools
      summary: toolsGetDevicesByRack
      description: Returns all devices that belong to rack
      operationId: toolsGetDevicesByRack
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/nat/{id}/objects:
    get:
      tags:
      - tools
      summary: getNATDetailsAttachedObjects
      description: Returns nat details and array of all attached objects
      operationId: getNATDetailsAttachedObjects
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /tools/nat/{id}/objects_full:
    get:
      tags:
      - tools
      summary: getNATDetailsAllObjects
      description: Returns nat details and full array of all attached objects
      operationId: getNATDetailsAllObjects
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /prefix/{customer_type}:
    get:
      tags:
      - prefix
      summary: prefixGetSubnetsUsedToDeliverSubnets
      description: Returns all subnets used to deliver new subnets
      operationId: prefixGetSubnetsUsedToDeliverSubnets
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /prefix/{customer_type}/{ip_version}:
    get:
      tags:
      - prefix
      summary: prefixGetSubnetsUsedToDeliverSubnetsVersion
      description: Returns all subnets used to deliver new subnets for specific IP version * ip_version can be IPv4, IPv6, v4, v6
      operationId: prefixGetSubnetsUsedToDeliverSubnetsVersion
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      - name: ip_version
        in: path
        description: ip_version
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /prefix/{customer_type}/address:
    get:
      tags:
      - prefix
      summary: prefixGetSubnetsUsedToDeliverNewAddresses
      description: Returns all subnets used to deliver new addresses
      operationId: prefixGetSubnetsUsedToDeliverNewAddresses
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /prefix/{customer_type}/address/{ip_version}:
    get:
      tags:
      - prefix
      summary: prefixGetSubnetsUsedToDeliverNewAddressesVersion
      description: Returns all subnets used to deliver new addresses for specific IP version
      operationId: prefixGetSubnetsUsedToDeliverNewAddressesVersion
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      - name: ip_version
        in: path
        description: ip_version
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /prefix/{customer_type}/{ip_version}/{mask}:
    get:
      tags:
      - prefix
      summary: prefixGetFirstAvailableSubnet
      description: Returns first available subnet for ip version and requested mask
      operationId: prefixGetFirstAvailableSubnet
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      - name: ip_version
        in: path
        description: ip_version
        required: true
        style: simple
        schema:
          type: string
      - name: mask
        in: path
        description: mask
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - prefix
      summary: prefixPostFirstAvailableSubnet
      description: Creates first available subnet for ip version and requested mask
      operationId: prefixPostFirstAvailableSubnet
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      - name: ip_version
        in: path
        description: ip_version
        required: true
        style: simple
        schema:
          type: string
      - name: mask
        in: path
        description: mask
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: object
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /prefix/{customer_type}/{ip_version}/address:
    get:
      tags:
      - prefix
      summary: prefixGetFirstAvailableAddress
      description: Returns first available address for ip version
      operationId: prefixGetFirstAvailableAddress
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      - name: ip_version
        in: path
        description: ip_version
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - prefix
      summary: prefixPostFirstAvailableAddress
      description: Creates first available address for ip version
      operationId: prefixPostFirstAvailableAddress
      parameters:
      - name: customer_type
        in: path
        description: customer_type
        required: true
        style: simple
        schema:
          type: string
      - name: ip_version
        in: path
        description: ip_version
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: body
        content:
          text/plain:
            schema:
              type: string
              description: body
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
tags:
- name: sections
  description: sections controller
- name: subnets
  description: subnets controller
- name: devices
  description: devices controller
- name: addresses
  description: addresses controller
- name: vlans
  description: vlans controller
- name: l2domains
  description: l2domains controller
- name: vrfs
  description: vrfs controller
- name: tools
  description: tools controller
- name: prefix
  description: prefix controller
- name: default
  description: ''
  externalDocs:
    url: http://swagger.io
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
